$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formAsignarRecurso").on("submit", function (e) {
        guardarRecurso(e);
    });
});
function guardarRecurso(e) {
    e.preventDefault();
    var formData = new FormData($("#formAsignarRecurso")[0]);
    $.ajax({
        url: '../../controller/asignarlibro.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#asignarRecurso-data').DataTable().ajax.reload();
            $('#mantenimiento_asignarRecurso').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
$(document).ready(function () {
    var carrera = document.getElementById("carreradbk").value;
    var asignatura = document.getElementById("asignaturadbk").value;
    $('#asignarRecurso-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/asignarlibro.php?op=listarRecurso&carrera=" + carrera + "&asignatura=" + asignatura,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    combo_clasificacion();
    combo_subclasificacion();
    combo_recursos();
});
function combo_clasificacion() {
    $.post("../../controller/biblioteca.php?op=comboClasificacion", function (data) {
        $('#clasificacion').html(data);
    });
}
function combo_subclasificacion() {
    $.post("../../controller/biblioteca.php?op=comboSubClasificacion", {clasificaciondbk: $('#clasificacion').val()}, function (data) {
        $('#subclasificacion').html(data);
    });
}
function combo_recursos() {
    $.post("../../controller/libro.php?op=comboRecursos", {subclasificaciondbk: $('#subclasificacion').val()}, function (data) {
        $('#recurso').html(data);
    });
}
function ver(e) {
    var URL = $('#url' + e).val();
    window.open(URL, "_blank");

}
function eliminar(asignarlibrodbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/asignarlibro.php?op=eliminar", {asignarlibrodbk: asignarlibrodbk}, function (data) {
                $('#asignarRecurso-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}
function nuevo() {
    $('#clasificacion').val('').trigger('change');
    $('#subclasificacion').val('').trigger('change');
    $('#recurso').val('').trigger('change');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formAsignarRecurso')[0].reset();
    $('#mantenimiento_asignarRecurso').modal('show');
}
$("#clasificacion").change(function () {
    $("#clasificacion option:selected").each(function () {
        clasificaciondbk = $(this).val();
        $("#subclasificacion").removeAttr('disabled');
        combo_subclasificacion();
    })
})
$("#subclasificacion").change(function () {
    $("#subclasificacion option:selected").each(function () {
        subclasificaciondbk = $(this).val();
        $("#recurso").removeAttr('disabled');
        combo_recursos();
    })
})